Bug 55517 - team port broken
Summary: team port broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joerg Wunsch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-13 02:50 UTC by David Gilbert
Modified: 2003-09-01 19:19 UTC (History)
0 users

See Also:


Attachments
file.diff (3.79 KB, patch)
2003-08-13 02:50 UTC, David Gilbert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Gilbert 2003-08-13 02:50:15 UTC
Something in the compiler change seems to have changed such that
'off_t unsigned' is not accepted as a varible type.

Fix: This patch to team.c appears to make it compile.  The patch simply
removes 'unsigned' from every instance of 'off_t.*unsigned' in the code.

How-To-Repeat: cd /usr/ports/misc/team
make
Comment 1 David Gilbert 2003-08-13 03:03:30 UTC
>>>>> "FreeBSD-gnats-submit" == FreeBSD-gnats-submit  <FreeBSD-gnats-submit@FreeBSD.org> writes:

FreeBSD-gnats-submit> Thank you very much for your problem report.  It
FreeBSD-gnats-submit> has the internal identification `ports/55517'.
FreeBSD-gnats-submit> The individual assigned to look at your report
FreeBSD-gnats-submit> is: freebsd-ports-bugs.

FreeBSD-gnats-submit> You can access the state of your problem report
FreeBSD-gnats-submit> at any time via this link:

FreeBSD-gnats-submit> http://www.freebsd.org/cgi/query-pr.cgi?pr=55517

>> Category: ports Responsible: freebsd-ports-bugs Synopsis: team port
>> broken Arrival-Date: Tue Aug 12 18:50:15 PDT 2003

Update: the team that this builds seems to be broken.  Hrnh.
Comment 2 Yen-Ming Lee freebsd_committer 2003-08-21 10:24:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->joerg

Over to the MAINTAINER.
Comment 3 Joerg Wunsch freebsd_committer 2003-09-01 19:19:01 UTC
State Changed
From-To: open->closed

I fixed that today, using a slightly different approach 
than your submitted patch, so it actually works again. ;-) 

Thanks for the submission!